Name:           libitl
Version:        0.7.0 
Release:        2%{?dist}
Summary:        Libraries for The Islamic Tools and Libraries Project

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.arabeyes.org/project.php?proj=ITL
Source0:        http://switch.dl.sourceforge.net/sourceforge/arabeyes/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Patch0: %{name}-makefile-ld.patch
#BuildRequires:  autoconf

%description
The Islamic Tools and Libraries (ITL) is a project 
to provide a plethora of useful Islamic tools and 
applications as well as a comprehensive feature-full 
Islam-centric library. The ITL project currently 
includes Hijri date, Muslim prayer times, and Qibla. 

This package contains the libraries for applications using ITL

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
make  %{?_smp_mflags} -j1


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/ $RPM_BUILD_ROOT/%{_includedir}/itl
cp build/libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/
ln -s libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/libitl.so.0
ln -s libitl.so.0.0.7 $RPM_BUILD_ROOT/%{_libdir}/libitl.so
cp prayertime/src/prayer.h hijri/src/hijri.h $RPM_BUILD_ROOT/%{_includedir}/itl/
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libitl.so.*

%files devel
%defattr(-,root,root,-)
%doc prayertime/doc/method-info.txt
%doc prayertime/README
%doc hijri/README
%{_libdir}/libitl.so
%{_includedir}/itl/


%changelog
* Wed Sep 23 2009 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.0-2
- fix libitl.so.0 is not symlink warning
- made libitl to be built using only 1 make thread, as multiple threading randomly
  fail during compile

* Sat Sep 19 2009 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.7.0-1
- update to 0.7.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 09 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-5
- fix for FTBFS bug #449622

* Mon Mar 03 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-4
- remove --build-id from makefile

* Fri Feb 15 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-3
- include the configure script as a source instead of as a patch

* Sun Feb 03 2008 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-2
- modified makefile to install .so files to standard path
- moved unversioned .so to devel package
- added requires to ldconfig
- changed license to LGPLv2+
- upstream tarball doesn't include a configure script.
  ran autogen.sh with autoconf-2.61 and created a patch to 
  include a configure script instead of running autogen.sh
  on every compile. autoconf-2.61 works with this tarball but we
  don't know about the other autoconf versions.

* Thu Oct 18 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.4-1
- Initial package
